jQuery(document).on('submit', 'form.smslogin', function (e) {
	e.preventDefault();
	var ajaxurl = ksiteurl + "/ajax/smslogin";
	var phoneInput = jQuery('#phone');
	var persianNumberPattern = /[\u06F0-\u06F9]/g; // matches all Persian digits
	var englishNumberMapping = {
	   '۰': '0',
	   '۱': '1',
	   '۲': '2',
	   '۳': '3',
	   '۴': '4',
	   '۵': '5',
	   '۶': '6',
	   '۷': '7',
	   '۸': '8',
	   '۹': '9'
	};
	var englishPhone = phoneInput.val().replace(persianNumberPattern, function (match) {
	   return englishNumberMapping[match];
	});
	jQuery.ajax({
		type: 'POST',
		url: ajaxurl,
		data: {
			phone: englishPhone,
		},
		beforeSend: function () {
			 Notiflix.Block.dots('.loadlogin');
		},
		success: function (response) {
			if (response.result === 'success') {

				jQuery('form.smslogin').addClass('formfinal');
				jQuery('form.smslogin').removeClass('smslogin');
				jQuery('.auth__page__twelve__logo').hide();
				jQuery('#phone').prop('readonly', true);
				jQuery('.auth__page__btn').text('ثبت');
				jQuery('#phone').after(
					`
					<br>
					<p class="pinfocode"><i class="isax isax-barcode5 me-2"></i>کد تایید را وارد کنید</p>
					<div class="minput">
						<input id="boxv1" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
						<input id="boxv2" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
						<input id="boxv3" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
						<input id="boxv4" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
					</div>
					<a class="bazgasht">بازگشت و اصلاح</a>

					`
				);
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);

			}else if(response.result === 'error'){

				jQuery('form.smslogin').addClass('formfinal');
				jQuery('form.smslogin').removeClass('smslogin');
				jQuery('.auth__page__twelve__logo').hide();
				jQuery('#phone').prop('readonly', true);
				jQuery('.auth__page__btn').text('ثبت');
				jQuery('#phone').after(
					`
					<br>
					<p class="pinfocode"><i class="isax isax-barcode5 me-2"></i>کد تایید را وارد کنید</p>
					<div class="minput">
						<input id="boxv1" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
						<input id="boxv2" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
						<input id="boxv3" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
						<input id="boxv4" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
					</div>
					<div class="auth__page__form__group">
                    <input id="first_name" type="text" class="auth__page__form__control auth__ease__in__out" placeholder="نام">
					</div>
					<div class="auth__page__form__group">
					<input id="last_name" type="text" class="auth__page__form__control auth__ease__in__out" placeholder="نام خانوادگی">
					</div>
					<div class="auth__page__form__group">
					<input id="password" type="password" class="auth__page__form__control auth__ease__in__out" placeholder="رمز">
					</div>
					<a class="bazgasht">بازگشت و اصلاح</a>
					`
				);
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);

			}else{

				Notiflix.Notify.failure('مشکلی پیش آمده با پشتیبانی تماس بگیرید', {
					timeout: 5000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);
				
			}
		}
	});
});


jQuery(document).on('submit', 'form.formfinal', function (e) {
e.preventDefault();
var ajaxurl = ksiteurl + "/ajax/formfinal";
var phoneInput = jQuery('#phone');
var persianNumberPattern = /[\u06F0-\u06F9]/g; // matches all Persian digits
var englishNumberMapping = {
	'۰': '0',
	'۱': '1',
	'۲': '2',
	'۳': '3',
	'۴': '4',
	'۵': '5',
	'۶': '6',
	'۷': '7',
	'۸': '8',
	'۹': '9'
};
var englishPhone = phoneInput.val().replace(persianNumberPattern, function (match) {
	return englishNumberMapping[match];
});
var boxv1 = document.getElementById('boxv1').value;
var boxv2 = document.getElementById('boxv2').value;
var boxv3 = document.getElementById('boxv3').value;
var boxv4 = document.getElementById('boxv4').value;
var boxesinputpre = boxv1 + boxv2 + boxv3 + boxv4;
var persianNumberPatternn = /[\u06F0-\u06F9]/g; // matches all Persian digits
var englishNumberMappingg = {
	'۰': '0',
	'۱': '1',
	'۲': '2',
	'۳': '3',
	'۴': '4',
	'۵': '5',
	'۶': '6',
	'۷': '7',
	'۸': '8',
	'۹': '9'
};
var boxesinput = boxesinputpre.replace(persianNumberPatternn, function (match) {
	return englishNumberMappingg[match];
});
jQuery.ajax({
	type: 'POST',
	url: ajaxurl,
	data: {
		phone: englishPhone,
		code: boxesinput,
		fname: jQuery('#first_name').val(),
		lname: jQuery('#last_name').val(),
		pass: jQuery('#password').val(),
	},
	beforeSend: function () {
			Notiflix.Block.dots('.loadlogin');
	},
	success: function (response) {
		if (response.result === 'success') {
			Notiflix.Notify.success('با موفقیت وارد شدید کمی صبر کنید...', {
				timeout: 2000,
				rtl: true,
				position: 'left-bottom',
				fontFamily: 'ybakh',
				});
				Notiflix.Report.success(
				'با موفقیت وارد شدید',
				'در حال پردازش درخواست شما',
				'کمی صبر کنید',
				{
					rtl: true,
					zindex:9999999,
fontFamily: 'ybakh',
				},
				);
			
			setTimeout(() => {
				Notiflix.Block.remove('.loadlogin');
				if (typeof window !== 'undefined' && window.location && window.location.search) {
					const queryParams = new URLSearchParams(window.location.search);
					const redirectTo = queryParams.get('redirect_to');
					if (redirectTo) {
						window.location.href = redirectTo;
					}
					}
					else{
					location.reload();
					}
			}, 1500);

		}else if(response.result === 'error'){
			Notiflix.Notify.failure('کد تایید اشتباه هست مجدد تست کنید', {
				timeout: 2000,
				rtl: true,
				position: 'left-bottom',
				fontFamily: 'ybakh',
				});
			
			setTimeout(() => {
				Notiflix.Block.remove('.loadlogin');
			}, 1500);

		}else{

			Notiflix.Notify.failure('مشکلی پیش آمده با پشتیبانی تماس بگیرید', {
				timeout: 5000,
				rtl: true,
				position: 'left-bottom',
				fontFamily: 'ybakh',
			});
			setTimeout(() => {
				Notiflix.Block.remove('.loadlogin');
			}, 1500);
			
		}
	}
});
});


jQuery(document).on('submit', 'form.passlogin', function (e) {
e.preventDefault();
var ajaxurl = ksiteurl + "/ajax/passlogin";
var input = jQuery('#email').val();
var pass = jQuery('#password').val();
if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(input)) {
	
	jQuery.ajax({
		type: 'POST',
		url: ajaxurl,
		data: {
			email: input,
			password : pass,
		},
		beforeSend: function () {
				Notiflix.Block.dots('.loadlogin');
		},
		success: function (response) {
			if (response.result === 'success') {

				Notiflix.Notify.success('با موفقیت وارد شدید کمی صبر کنید...', {
					timeout: 2000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
					});
					Notiflix.Report.success(
					'با موفقیت وارد شدید',
					'در حال پردازش درخواست شما',
					'کمی صبر کنید',
					{
						rtl: true,
						zindex:9999999,
fontFamily: 'ybakh',
					},
					);
				
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
					if (typeof window !== 'undefined' && window.location && window.location.search) {
						const queryParams = new URLSearchParams(window.location.search);
						const redirectTo = queryParams.get('redirect_to');
						if (redirectTo) {
							window.location.href = redirectTo;
						}
						}
						else{
						location.reload();
						}
				}, 1500);

			}else if(response.result === 'wrong'){

				Notiflix.Notify.failure('مشخصات وارد شده اشتباه است مجددا تلاش کنید', {
					timeout: 5000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);

			}else if(response.result === 'error'){

				jQuery('form.passlogin').addClass('passformfinal');
				jQuery('form.passlogin').removeClass('passlogin');
				jQuery('.auth__page__twelve__logo').hide();
				jQuery('#email').prop('readonly', true);
				jQuery('#password').prop('readonly', true);
				jQuery('.auth__page__btn').text('ثبت');
				jQuery('#email').after(
					`
					<br>
					<p class="pinfocode"><i class="isax isax-barcode5 me-2"></i>جهت تکمیل ثبت نام مشخصات را وارد کنید</p>
					
					<div class="auth__page__form__group">
					<input id="first_name" type="text" class="auth__page__form__control auth__ease__in__out" placeholder="نام">
					</div>
					<div class="auth__page__form__group">
					<input id="last_name" type="text" class="auth__page__form__control auth__ease__in__out" placeholder="نام خانوادگی">
					</div>
					<a class="bazgasht">بازگشت و اصلاح</a>
					`
				);
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);

			}else{

				Notiflix.Notify.failure('مشکلی پیش آمده با پشتیبانی تماس بگیرید', {
					timeout: 5000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);
				
			}
		}
	});

} else if (/^0[0-9]{10}$/.test(input)) {
	var phoneInput = jQuery('#email');
	var persianNumberPattern = /[\u06F0-\u06F9]/g; // matches all Persian digits
	var englishNumberMapping = {
	'۰': '0',
	'۱': '1',
	'۲': '2',
	'۳': '3',
	'۴': '4',
	'۵': '5',
	'۶': '6',
	'۷': '7',
	'۸': '8',
	'۹': '9'
	};
	var englishPhone = phoneInput.val().replace(persianNumberPattern, function (match) {
	return englishNumberMapping[match];
	});
	jQuery.ajax({
		type: 'POST',
		url: ajaxurl,
		data: {
			phone: englishPhone,
			password : pass,

		},
		beforeSend: function () {
				Notiflix.Block.dots('.loadlogin');
		},
		success: function (response) {
			if (response.result === 'success') {

				Notiflix.Notify.success('با موفقیت وارد شدید کمی صبر کنید...', {
					timeout: 2000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
					});
					Notiflix.Report.success(
					'با موفقیت وارد شدید',
					'در حال پردازش درخواست شما',
					'کمی صبر کنید',
					{
						rtl: true,
						zindex:9999999,
fontFamily: 'ybakh',
					},
					);
				
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
					if (typeof window !== 'undefined' && window.location && window.location.search) {
						const queryParams = new URLSearchParams(window.location.search);
						const redirectTo = queryParams.get('redirect_to');
						if (redirectTo) {
							window.location.href = redirectTo;
						}
						}
						else{
						location.reload();
						}
				}, 1500);

			}else if(response.result === 'wrong'){

				Notiflix.Notify.failure('مشخصات وارد شده اشتباه است مجددا تلاش کنید', {
					timeout: 5000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);

			}else if(response.result === 'error'){

				jQuery('form.passlogin').addClass('passformfinal');
				jQuery('form.passlogin').removeClass('passlogin');
				jQuery('.auth__page__twelve__logo').hide();
				jQuery('#email').prop('readonly', true);
				jQuery('#password').prop('readonly', true);
				jQuery('.auth__page__btn').text('ثبت');
				jQuery('#email').after(
					`
					<br>
					<p class="pinfocode"><i class="isax isax-barcode5 me-2"></i>جهت تکمیل ثبت نام مشخصات را وارد کنید</p>
					
					<div class="auth__page__form__group">
					<input id="first_name" type="text" class="auth__page__form__control auth__ease__in__out" placeholder="نام">
					</div>
					<div class="auth__page__form__group">
					<input id="last_name" type="text" class="auth__page__form__control auth__ease__in__out" placeholder="نام خانوادگی">
					</div>
					<a class="bazgasht">بازگشت و اصلاح</a>
					`
				);
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);

			}else{

				Notiflix.Notify.failure('مشکلی پیش آمده با پشتیبانی تماس بگیرید', {
					timeout: 5000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);
				
			}
		}
	});

}

});


jQuery(document).on('submit', 'form.passformfinal', function (e) {
e.preventDefault();
var ajaxurl = ksiteurl + "/ajax/passformfinal";
var input = jQuery('#email').val();
var pass = jQuery('#password').val();
if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(input)) {
	
	jQuery.ajax({
		type: 'POST',
		url: ajaxurl,
		data: {
			email: input,
			password : pass,
			fname: jQuery('#first_name').val(),
			lname: jQuery('#last_name').val(),
		},
		beforeSend: function () {
				Notiflix.Block.dots('.loadlogin');
		},
		success: function (response) {
			if (response.result === 'success') {

				Notiflix.Notify.success('با موفقیت وارد شدید کمی صبر کنید...', {
					timeout: 2000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
					});
					Notiflix.Report.success(
					'با موفقیت وارد شدید',
					'در حال پردازش درخواست شما',
					'کمی صبر کنید',
					{
						rtl: true,
						zindex:9999999,
fontFamily: 'ybakh',
					},
					);
				
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
					if (typeof window !== 'undefined' && window.location && window.location.search) {
						const queryParams = new URLSearchParams(window.location.search);
						const redirectTo = queryParams.get('redirect_to');
						if (redirectTo) {
							window.location.href = redirectTo;
						}
						}
						else{
						location.reload();
						}
				}, 1500);

			}else if(response.result === 'error'){

				Notiflix.Notify.failure('مشکلی پیش آمده مجددا تلاش کنید', {
					timeout: 5000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);

			}else{

				Notiflix.Notify.failure('مشکلی پیش آمده با پشتیبانی تماس بگیرید', {
					timeout: 5000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);
				
			}
		}
	});

} else if (/^0[0-9]{10}$/.test(input)) {
	var phoneInput = jQuery('#email');
	var persianNumberPattern = /[\u06F0-\u06F9]/g; // matches all Persian digits
	var englishNumberMapping = {
	'۰': '0',
	'۱': '1',
	'۲': '2',
	'۳': '3',
	'۴': '4',
	'۵': '5',
	'۶': '6',
	'۷': '7',
	'۸': '8',
	'۹': '9'
	};
	var englishPhone = phoneInput.val().replace(persianNumberPattern, function (match) {
	return englishNumberMapping[match];
	});
	jQuery.ajax({
		type: 'POST',
		url: ajaxurl,
		data: {
			phone: englishPhone,
			password : pass,
			fname: jQuery('#first_name').val(),
			lname: jQuery('#last_name').val(),
		},
		beforeSend: function () {
			Notiflix.Block.dots('.loadlogin');
			
		},
		success: function (response) {
			if (response.result === 'success') {

				Notiflix.Notify.success('با موفقیت وارد شدید کمی صبر کنید...', {
					timeout: 2000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
					});
					Notiflix.Report.success(
					'با موفقیت وارد شدید',
					'در حال پردازش درخواست شما',
					'کمی صبر کنید',
					{
						rtl: true,
						zindex:9999999,
						fontFamily: 'ybakh',
					},
					);
				
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
					if (typeof window !== 'undefined' && window.location && window.location.search) {
						const queryParams = new URLSearchParams(window.location.search);
						const redirectTo = queryParams.get('redirect_to');
						if (redirectTo) {
							window.location.href = redirectTo;
						}
						}
						else{
						location.reload();
						}
				}, 1500);

			}else if(response.result === 'error'){

				Notiflix.Notify.failure('مشکلی پیش آمده مجددا تلاش کنید', {
					timeout: 5000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);

			}else{

				Notiflix.Notify.failure('مشکلی پیش آمده با پشتیبانی تماس بگیرید', {
					timeout: 5000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);
				
			}
		}
	});

}


});


jQuery(document).on('submit', 'form.forgotform', function (e) {
e.preventDefault();
var ajaxurl = ksiteurl + "/ajax/forgotform";
var input = jQuery('#email').val();
if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(input)) {
	
	jQuery.ajax({
		type: 'POST',
		url: ajaxurl,
		data: {
			email: input,
		},
		beforeSend: function () {
				Notiflix.Block.dots('.loadlogin');
		},
		success: function (response) {
			if (response.result === 'success') {

				Notiflix.Notify.success('لینک ریست پسورد برای شما ایمیل شد', {
					timeout: 2000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
					if (typeof window !== 'undefined' && window.location && window.location.search) {
						const queryParams = new URLSearchParams(window.location.search);
						const redirectTo = queryParams.get('redirect_to');
						if (redirectTo) {
							window.location.href = redirectTo;
						}
						}
						else{
						location.reload();
						}
				}, 1500);
				

			}else{

				Notiflix.Notify.failure('چنین ایمیلی وجود ندارد ابتدا ثبت نام کنید', {
					timeout: 5000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);
			}
		}
	});

} else if (/^0[0-9]{10}$/.test(input)) {
	var phoneInput = jQuery('#email');
	var persianNumberPattern = /[\u06F0-\u06F9]/g; // matches all Persian digits
	var englishNumberMapping = {
	'۰': '0',
	'۱': '1',
	'۲': '2',
	'۳': '3',
	'۴': '4',
	'۵': '5',
	'۶': '6',
	'۷': '7',
	'۸': '8',
	'۹': '9'
	};
	var englishPhone = phoneInput.val().replace(persianNumberPattern, function (match) {
	return englishNumberMapping[match];
	});
	jQuery.ajax({
		type: 'POST',
		url: ajaxurl,
		data: {
			phone: englishPhone,

		},
		beforeSend: function () {
				Notiflix.Block.dots('.loadlogin');
		},
		success: function (response) {
			if (response.result === 'success') {

				jQuery('form.forgotform').addClass('formforgotfinal');
				jQuery('form.forgotform').removeClass('forgotform');
				jQuery('.auth__page__twelve__logo').hide();
				jQuery('#email').prop('readonly', true);
				jQuery('.auth__page__btn').text('ثبت');
				jQuery('#email').after(
					`
					<br>
					<p class="pinfocode"><i class="isax isax-barcode5 me-2"></i>کد تایید را وارد کنید</p>
					<div class="minput">
						<input id="boxv1" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
						<input id="boxv2" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
						<input id="boxv3" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
						<input id="boxv4" class="verifyinput" type="tel" maxlength="1" pattern="[0-9]">
					</div>
					<div class="auth__page__form__group">
					<input id="password" type="password" class="auth__page__form__control auth__ease__in__out" placeholder=" رمز جدید را وارد کنید">
					</div>
					<a class="bazgasht">بازگشت و اصلاح</a>

					`
				);
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);

			}else{

				Notiflix.Notify.failure('چنین شماره ای وجود ندارد ابتدا ثبت نام کنید', {
					timeout: 5000,
					rtl: true,
					position: 'left-bottom',
					fontFamily: 'ybakh',
				});
				setTimeout(() => {
					Notiflix.Block.remove('.loadlogin');
				}, 1500);
				
			}
		}
	});

}

});


jQuery(document).on('submit', 'form.formforgotfinal', function (e) {
e.preventDefault();
var ajaxurl = ksiteurl + "/ajax/formforgotfinal";
var phoneInput = jQuery('#email');
var persianNumberPattern = /[\u06F0-\u06F9]/g; // matches all Persian digits
var englishNumberMapping = {
	'۰': '0',
	'۱': '1',
	'۲': '2',
	'۳': '3',
	'۴': '4',
	'۵': '5',
	'۶': '6',
	'۷': '7',
	'۸': '8',
	'۹': '9'
};
var englishPhone = phoneInput.val().replace(persianNumberPattern, function (match) {
	return englishNumberMapping[match];
});
var boxv1 = document.getElementById('boxv1').value;
var boxv2 = document.getElementById('boxv2').value;
var boxv3 = document.getElementById('boxv3').value;
var boxv4 = document.getElementById('boxv4').value;
var boxesinputpre = boxv1 + boxv2 + boxv3 + boxv4;
var persianNumberPatternn = /[\u06F0-\u06F9]/g; // matches all Persian digits
var englishNumberMappingg = {
	'۰': '0',
	'۱': '1',
	'۲': '2',
	'۳': '3',
	'۴': '4',
	'۵': '5',
	'۶': '6',
	'۷': '7',
	'۸': '8',
	'۹': '9'
};
var boxesinput = boxesinputpre.replace(persianNumberPatternn, function (match) {
	return englishNumberMappingg[match];
});
jQuery.ajax({
	type: 'POST',
	url: ajaxurl,
	data: {
		phone: englishPhone,
		code: boxesinput,
		pass: jQuery('#password').val(),
	},
	beforeSend: function () {
			Notiflix.Block.dots('.loadlogin');
	},
	success: function (response) {
		if (response.result === 'success') {
			Notiflix.Notify.success('رمز شما با موفقیت تغییر کرد', {
				timeout: 2000,
				rtl: true,
				position: 'left-bottom',
				fontFamily: 'ybakh',
				});
				Notiflix.Report.success(
				'با موفقیت وارد شدید',
				'در حال پردازش درخواست شما',
				'کمی صبر کنید',
				{
					rtl: true,
					zindex:9999999,
fontFamily: 'ybakh',
				},
				);
			
			setTimeout(() => {
				Notiflix.Block.remove('.loadlogin');
				if (typeof window !== 'undefined' && window.location && window.location.search) {
					const queryParams = new URLSearchParams(window.location.search);
					const redirectTo = queryParams.get('redirect_to');
					if (redirectTo) {
						window.location.href = redirectTo;
					}
					}
					else{
					location.reload();
					}
			}, 1500);

		}else if(response.result === 'error'){
			Notiflix.Notify.failure('کد تایید اشتباه هست مجدد تست کنید', {
				timeout: 2000,
				rtl: true,
				position: 'left-bottom',
				fontFamily: 'ybakh',
				});
			
			setTimeout(() => {
				Notiflix.Block.remove('.loadlogin');
			}, 1500);

		}else{

			Notiflix.Notify.failure('مشکلی پیش آمده با پشتیبانی تماس بگیرید', {
				timeout: 5000,
				rtl: true,
				position: 'left-bottom',
				fontFamily: 'ybakh',
			});
			setTimeout(() => {
				Notiflix.Block.remove('.loadlogin');
			}, 1500);
			
		}
	}
});
});


jQuery(document).on('click', '.forgotk', function (e) {
e.preventDefault();
jQuery('.passlogin').html(
	`
	<div class="auth__page__form__group position-relative">
		<i class="iconly iconly-Message iabs"></i>
		<input type="text" id="email" class="auth__page__form__control auth__ease__in__out" placeholder="موبایل یا ایمیل معتبر">
	</div>
	<a class="bazgasht">بازگشت و اصلاح</a>
	<br>
	<button type="submit" class="auth__page__btn auth__page__btn__success auth__w__fit auth__block"> بازیابی رمز </button>
	`
)
jQuery('form.passlogin').addClass('forgotform');
jQuery('form.passlogin').removeClass('passlogin');
});


jQuery(document).on('click', '.bazgasht', function (e) {
e.preventDefault();
location.reload();
});